Show / Hide Table of Contents

# Class GuildIntegrationProperties

Provides properties used to modify an IGuildIntegration with the specified changes.

##### Inheritance

System.Object
GuildIntegrationProperties

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class GuildIntegrationProperties

### Properties

| Improve this Doc View Source

#### EnableEmoticons

Gets or sets whether emoticons should be synced for this integration.

##### Declaration

    public Optional<bool> EnableEmoticons { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Boolean> |

| Improve this Doc View Source

#### ExpireBehavior

Gets or sets the behavior when an integration subscription lapses.

##### Declaration

    public Optional<int> ExpireBehavior { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |

| Improve this Doc View Source

#### ExpireGracePeriod

Gets or sets the period (in seconds) where the integration will ignore lapsed subscriptions.

##### Declaration

    public Optional<int> ExpireGracePeriod { get; set; }

##### Property Value

Type | Description
--- | ---
Optional<System.Int32> |